<?php

$name = "User[$model->id][accountBalance]";
$textField = CHtml::textField($name, $model->accountBalance, array(
    'readonly' => 'readonly',
    'class' => 'currency',
    //'data-a-sign' => "€ ",
    'data-a-dec'=>",",
    'data-a-sep'=>"."
));


echo CHtml::tag('div',
    array(
        'class' => 'input-prepend input-append'
    ),
    '<span class="add-on icon-euro"></span>'.$textField.'<button class="btn" type="button">&nbsp;<i class="icon-lock"></i>&nbsp;</button>'
);

?>